Autor Tópico: Não remove pacotes quebrados!  (Lida 7024 vezes)

Offline Skid Vicious

  • Usuário Ubuntu
  • *
  • Mensagens: 234
    • Ver perfil
Não remove pacotes quebrados!
« Online: 05 de Fevereiro de 2010, 15:39 »
To com um problemão (Ubuntu 9.10)!   Não sei o motivo, mas os pacotes Winbind e Samba estão quebrados e não atualizam por nada.

Não da para fazer nada, não remove e não atualiza.  Queria saber oq fazer!!!

Seguem as mensagens de erro:


http://img697.imageshack.us/img697/336/capturadetela1pc.png

http://img300.imageshack.us/img300/827/capturadetelah.png


Erro de quando tento atualizar os pacotes:

http://img695.imageshack.us/img695/673/capturadetelaf.png

http://img687.imageshack.us/img687/8872/capturadetelamw.png


Formatar o HD não me é uma opção, mas devido a estes problemas, não tenho mais acesso a rede e o Ubuntu também não reconhece mais meus pendrives. :(
« Última modificação: 05 de Fevereiro de 2010, 16:31 por Skid Vicious »

Offline clcampos

  • Administrador
  • Usuário Ubuntu
  • *****
  • Mensagens: 10.790
  • .:: User Linux #439596 ::.
    • Ver perfil
Re: Não remove pacotes quebrados! help!!!
« Resposta #1 Online: 05 de Fevereiro de 2010, 16:11 »
Colega, esqueceu das Regras de Utilização do Fórum?
Cristiano/Timóteo - MG
.: Como Fazer Perguntas de Forma Inteligente :.                
Com dúvida? pesquise!

Offline Skid Vicious

  • Usuário Ubuntu
  • *
  • Mensagens: 234
    • Ver perfil
Re: Não remove pacotes quebrados! help!!!
« Resposta #2 Online: 05 de Fevereiro de 2010, 16:31 »
Colega, esqueceu das Regras de Utilização do Fórum?

No desespero acabei esquecendo mesmo. Obrigado meu amigo.  ;)

Offline bred81

  • Usuário Ubuntu
  • *
  • Mensagens: 971
  • HAN?!
    • Ver perfil
Re: Não remove pacotes quebrados!
« Resposta #3 Online: 05 de Fevereiro de 2010, 19:23 »
sudo apt-get -f install ?
O que o Mario foi fazer no pscicólogo?
- Ele estava passando por uma fase difícil...

Offline Skid Vicious

  • Usuário Ubuntu
  • *
  • Mensagens: 234
    • Ver perfil
Re: Não remove pacotes quebrados!
« Resposta #4 Online: 06 de Fevereiro de 2010, 16:02 »
sudo apt-get -f install ?

retorna a mesma mensagem, só que pelo terminal.


Código: [Selecionar]
torres@torres-desktop:~$ sudo apt-get -f install
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os seguintes pacotes foram automaticamente instalados e não são mais requeridos:
  python-crypto libopenal1 bind9 telepathy-salut libxine1-x
  gadmin-openvpn-server libsvga1 bind9utils libxcb-xv0 libdns50
  openssl-blacklist liblog4j1.2-java python-telepathy libxine1-bin
  libcommons-cli-java libswt-gtk-3.4-java telepathy-haze libxine1-ffmpeg
  gadmin-dhcpd libxcb-shape0 libswt-gnome-gtk-3.4-jni dhcp3-server
  openbsd-inetd liblzo2-2 gadmin-openvpn-client gadmin-rsync squid-common
  libpkcs11-helper1 squid gadmin-bind proftpd-basic gadmin-squid
  gadmin-proftpd telepathy-butterfly libcommons-lang-java openvpn
  python-papyon libxcb-shm0 libswt-cairo-gtk-3.4-jni squid-langpack
  openvpn-blacklist libxine1-console libswt-gtk-3.4-jni java-wrappers
  libswt-mozilla-gtk-3.4-jni
Use 'apt-get autoremove' para removê-los.
Os pacotes extra a seguir serão instalados:
  samba winbind
Pacotes sugeridos:
  smbldap-tools ldb-tools
Os pacotes a seguir serão atualizados:
  samba winbind
2 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 17 não atualizados.
1 pacotes não totalmente instalados ou removidos.
É preciso baixar 0B/10,6MB de arquivos.
Depois desta operação, 0B adicionais de espaço em disco serão usados.
Você quer continuar [S/n]? s
Pré-configurando pacotes ...
(Lendo banco de dados ... 220366 arquivos e diretórios atualmente instalados).
Preparando para substituir winbind 2:3.4.0-3ubuntu5.3 (usando .../winbind_2%3a3.4.0-3ubuntu5.4_i386.deb) ...
/etc/init.d/winbind: 1: Syntax error: word unexpected (expecting ")")
invoke-rc.d: initscript winbind, action "stop" failed.
dpkg: aviso: antigo script pre-removal retornou um erro 2 como status de saída
dpkg - tentando script do novo pacote em vez disso ...
/etc/init.d/winbind: 1: Syntax error: word unexpected (expecting ")")
invoke-rc.d: initscript winbind, action "stop" failed.
dpkg: erro processando /var/cache/apt/archives/winbind_2%3a3.4.0-3ubuntu5.4_i386.deb (--unpack):
 sub-processo novo script pre-removal retornou estado de saída de erro 2
update-rc.d: warning: /etc/init.d/winbind missing LSB information
update-rc.d: see <http://wiki.debian.org/LSBInitScripts>
/etc/init.d/winbind: 1: Syntax error: word unexpected (expecting ")")
invoke-rc.d: initscript winbind, action "start" failed.
dpkg: erro enquanto efetuava a limpeza:
 sub-processo script post-installation instalado retornou estado de saída de erro 2
Preparando para substituir samba 2:3.4.0-3ubuntu5.3 (usando .../samba_2%3a3.4.0-3ubuntu5.4_i386.deb) ...
/etc/init.d/samba: 1: Syntax error: word unexpected (expecting ")")
invoke-rc.d: initscript samba, action "stop" failed.
dpkg: aviso: antigo script pre-removal retornou um erro 2 como status de saída
dpkg - tentando script do novo pacote em vez disso ...
/etc/init.d/samba: 1: Syntax error: word unexpected (expecting ")")
invoke-rc.d: initscript samba, action "stop" failed.
dpkg: erro processando /var/cache/apt/archives/samba_2%3a3.4.0-3ubuntu5.4_i386.deb (--unpack):
 sub-processo novo script pre-removal retornou estado de saída de erro 2
Erros foram encontrados durante o processamento de:
 /var/cache/apt/archives/winbind_2%3a3.4.0-3ubuntu5.4_i386.deb
 /var/cache/apt/archives/samba_2%3a3.4.0-3ubuntu5.4_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
torres@torres-desktop:~$


:(

Offline Xterminator

  • Usuário Ubuntu
  • *
  • Mensagens: 1.279
    • Ver perfil
Re: Não remove pacotes quebrados!
« Resposta #5 Online: 20 de Fevereiro de 2010, 10:36 »
Acho que seus pacotes se corromperam de alguma forma, já tentou apagar os arquivos baixados de /var/cache/apt/archives/ ?
faça isto, e também remova a referência a estes pacotes em /var/lib/dpkg/info
depois disto aí sim, basta um apt-get -f install ou pode mandar corrigir pelo próprio synaptic.

Espero ter ajudado em algo.

Fuiiiiiiiiiii

Offline bred81

  • Usuário Ubuntu
  • *
  • Mensagens: 971
  • HAN?!
    • Ver perfil
Re: Não remove pacotes quebrados!
« Resposta #6 Online: 20 de Fevereiro de 2010, 13:34 »
Código: [Selecionar]
sudo apt-get autoclean
sudo apt-get auto-remove
sudo aptitude autoclean
sudo apt-get install -f

Sinceramente, a única vez que vi um problema parecido foi quando não estava conseguindo conexão com a internet.
=(

Boa sorte!
=)
O que o Mario foi fazer no pscicólogo?
- Ele estava passando por uma fase difícil...

Offline jcgarces

  • Usuário Ubuntu
  • *
  • Mensagens: 361
  • É a minha cara.
    • Ver perfil
Re: Não remove pacotes quebrados!
« Resposta #7 Online: 27 de Fevereiro de 2010, 23:45 »
No 9.04 eu consegui resolver seuindo essa diga:  http://wiki.ubuntu-br.org/Synaptic

Como corrigir pacotes quebrados

    
NOTA: 'Pacotes Quebrados' são pacotes que possuem dependências insatisfeitas. Se um pacote quebrado for detectado, o Synaptic não permitirá qualquer alteração no sistema enquanto o pacote com problema não for consertado.


Corrigir pacotes quebrados

Selecione Editar > Consertar Pacotes Quebrados.

Selecione Editar > Aplicar Mudanças Marcadas ou pressione Ctrl + P.

Confirme as mudanças clicando em Aplicar.

Resolvendo problemas
O que fazer se uma instalação falhar e você não consegue mais instalar ou remover pacotes?

Abra um terminal (Aplicativos > Acessórios > Terminal) e execute os comandos:

sudo dpkg --configure -a
sudo apt-get install -f

Vê se resolve no 9.10.

Abraços.
Botafogo de Coração